# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNetwork::KUnixSocketAddress Class Reference

A Unix (local) socket address. More...

`#include <ksocketaddress.h>`

Inheritance diagram for KNetwork::KUnixSocketAddress:

[legend]
Collaboration diagram for KNetwork::KUnixSocketAddress:

[legend]
List of all members.

## Public Member Functions

| KUnixSocketAddress ()
| KUnixSocketAddress (const sockaddr *sa, Q_UINT16 len)
| KUnixSocketAddress (const KUnixSocketAddress &other)
| KUnixSocketAddress (const QString &pathname)
virtual | ~KUnixSocketAddress ()
KUnixSocketAddress & | operator= (const KUnixSocketAddress &other)
| operator const sockaddr_un * () const
QString | pathname () const
KUnixSocketAddress & | setPathname (const QString &path)

## Protected Member Functions

| KUnixSocketAddress (KSocketAddressData *d)

## Friends

class | KSocketAddress

## Detailed Description

A Unix (local) socket address.

This is a Unix socket address.

Note that this class uses QStrings to represent filenames, which means the proper encoding is used to translate into valid filesystem file names.

Author:
  Thiago Macieira <thiago.macieira@kdemail.net>

Definition at line 830 of file ksocketaddress.h.

## Constructor & Destructor Documentation

KUnixSocketAddress::KUnixSocketAddress | ( |  | ) |

| Default constructor. Creates an empty object. Definition at line 895 of file ksocketaddress.cpp.

KUnixSocketAddress::KUnixSocketAddress | ( | const sockaddr * | sa,
|  | Q_UINT16 | len
| ) |

Creates this object with the given raw data.

If the sockaddr structure does not contain a Local namespace (Unix) socket, this object will be created empty.

Parameters:

  | sa | the socket address structure
  | len | the structure's length

Definition at line 899 of file ksocketaddress.cpp.

KUnixSocketAddress::KUnixSocketAddress | ( | const KUnixSocketAddress & | other | ) |

Copy constructor.

Creates a copy of the other object, sharing the data explicitly.

Parameters:

  | other | the other object

Definition at line 906 of file ksocketaddress.cpp.

KUnixSocketAddress::KUnixSocketAddress | ( | const QString & | pathname | ) |

| Constructs an object from the given pathname. Definition at line 911 of file ksocketaddress.cpp. References pathname(), and setPathname().

KUnixSocketAddress::~KUnixSocketAddress | ( |  | ) | `[virtual]`

| Destructor. Definition at line 921 of file ksocketaddress.cpp.

## Member Function Documentation

KUnixSocketAddress & KUnixSocketAddress::operator= | ( | const KUnixSocketAddress & | other | ) |

Copy operator.

Copies the contents of the other object into this one. Data is explicitly shared.

Parameters:

  | other | the other

Definition at line 925 of file ksocketaddress.cpp.

KNetwork::KUnixSocketAddress::operator const sockaddr_un * | ( |  | ) | const`[inline]`

| Cast operator to sockaddr_un. Definition at line 878 of file ksocketaddress.h. References KSocketAddress::address().

QString KUnixSocketAddress::pathname | ( |  | ) | const

| Returns the pathname associated with this object. Will return QString::null if this object is empty. Definition at line 931 of file ksocketaddress.cpp. References QFile::decodeName(). Referenced by KUnixSocketAddress().

KUnixSocketAddress & KUnixSocketAddress::setPathname | ( | const QString & | path | ) |

Sets the pathname for the object.

Returns:
  a reference to itself

Definition at line 938 of file ksocketaddress.cpp.

Referenced by KUnixSocketAddress().

The documentation for this class was generated from the following files:

- ksocketaddress.h
- ksocketaddress.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:25 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003